import fs = require('fs');

export class Snippet {
	public constructor(public readonly filepath: string, public readonly name: string) {}

	/**
	 * Gets the file contents of the snippet.
	 * @param callback called when the snippet is retrieved
	 */
	public get(callback: (err: any, res: any) => any) {
		fs.readFile(this.filepath, (err, res) => {
			if (err) callback(err, null);

			callback(null, res.toString());
		});
	}

	/**
	 * Gets the file contents of the snippet synchronously.
	 * @returns the file contents of the snippet as a string.
	 */
	public getSync() {
		return fs.readFileSync(this.filepath).toString();
	}
}